Subject: bug#15260: cannot build in a directory with non-ascii characters

From: Eli Zaretskii <[email-masked]>
Date: Fri, 25 Oct 2013 21:31:09 +0300

> From: Glenn Morris <[email-masked]>
> Cc: [email-masked]
> Date: Fri, 25 Oct 2013 13:08:08 -0400
> 
> Eli Zaretskii wrote:
> 
> > It requires too much setup on my part (this cannot be simulated on
> > Windows without too much hassle).
> 
> Sorry, I assumed you could build on fencepost.

That's the backup plan, yes.

> I'm expecting multiple
> points of failure, so this might not be an efficient process...

I don't think we should do it this way.  I was just asking about the
current state of knowledge.

I presume that the changes I suggested didn't help?  (They are TRT
anyway, so I will install them regardless.)

> The first time, I was trying an out-of-tree build in a non-ascii build
> directory, but still with ascii srcdir. Using an in-place build in a
> non-ascii directory fails to even start temacs (this is with or without
> your patch):
> 
>     Warning: arch-independent data dir
>     `/tmp/EMACS/share/emacs/24.3.50/etc/': No such file or directory
>     Error: charsets directory not found:
>     /tmp/EMACS/share/emacs/24.3.50/etc/charsets
>     Emacs will not function correctly without the character map files.
>     Please check your installation!
>     make[1]: *** [bootstrap-emacs] Error 1
> 
> /tmp/EMACS was my install --prefix. It's not supposed to exist until
> after installation, but the code that tries to find etc/ is presumably
> mistakenly concluding that srcdir/etc does not exist and that it must be
> running installed.

So in the above, /tmp/EMACS/share/emacs/24.3.50/etc/ is pure-ASCII,
and the non-ASCII directory is in the source tree, is that right?